Bug 149930 - CAN-2005-0586 Download dialog spoofing using Content-Disposition header
CAN-2005-0586 Download dialog spoofing using Content-Disposition header
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
impact=moderate,public=20050224
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-28 15:55 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-01 14:02:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-02-28 15:55:13 EST
Andreas Sanblad of Secunia Research demonstrated a method to spoof the download
dialog for saving files by supplying a Content-Disposition header with a
different extension than the extension visible in the link and download dialog.
Users could be tricked into downloading a safe-looking file such as a JPEG image
and have it actually be saved with an executable extension.

Windows hides file extensions by default. If the user did not notice the
incorrect icon they might at some later time double-click on the saved file and
execute it instead of having it open in the expected media application. 

http://www.mozilla.org/security/announce/mfsa2005-22.html
Comment 1 Josh Bressers 2005-03-01 14:02:05 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-176.html

Note You need to log in before you can comment on or make changes to this bug.